hledger-lib-1.41: A library providing the core functionality of hledger

Safe Haskell | None
Language | Haskell2010

Hledger.Data.JournalChecks.Uniqueleafnames

Synopsis

- journalCheckUniqueleafnames :: Journal -> Either String ()

# Documentation

journalCheckUniqueleafnames :: Journal -> Either String () #

Check that all the journal's postings are to accounts with a unique leaf name. Otherwise, return an error message for the first offending posting.